#include <iostream>
using namespace std;
int main()
{
	int n,x;
	cin>>n>>x;
	int a[n];
	for(int i=0;i<n;cin>>a[i++]);
	int min, max;
	min=max=a[0];
	for(int i=1;i<n;i++)
	{
		if(min>a[i])	min=a[i];
		if(max<a[i])	max=a[i];
	}
	int d;
	if(x<min)	d=max-x;
	else if(x>max)	d=x-min;
	else{
		if(max-x>=x-min)	d=x-min+max-min;
		else				d=max-x+max-min;
	}
	cout<<d;
	return 0;
}